Name: libXau
Version: 1.0.9
Release: 4
License: X11
Summary: X.Org Xau library
URL: http://www.x.org

Source0: https://www.x.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%package -n libXau6
Summary: %{name} library
Conflicts: libXau
Obsoletes: libXau

%description -n libXau6
%{name} library

%description
X.Org Xau library (X Authentication)

%package devel
Summary: X.Org Xau library
Requires: libXau6 = %{version}-%{release}
Requires: xorg-x11-proto-devel

%description devel
Development files for X.Org Xau library.

%prep
%setup -q

%build
# This should automatically pick up util-macros.
autoreconf -fiv
%configure \
    LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    --disable-selective-werror \
    --disable-silent-rules \
    #end

%make_build

%check
make check

%install
%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXau6
%defattr(-, qsys, *none)
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libXau.so.6

%files devel
%defattr(-, qsys, *none)
%{_includedir}/X11/*.h
%{_libdir}/libXau.so
%{_libdir}/pkgconfig/xau.pc
%{_mandir}/man3/*

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.9
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.9
- Add missing header file requirements from xorg-x11-proto-devel

* Wed Oct 28 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.9
- Update license to X11

* Thu Jul 30 2020 <abdirahim.musse@ibm.com> - 1.0.9
- Initial spec
